XSKAT(6)

NAME
xskat - ein Kartenspiel für 1 bis 3 Spieler

SYNOPSIS
xskat [-display|-d Display] [-geometry|-g Geometrie] [-font|-fn Zeichensatz] [-iconic|-i] [-title|-T Text] [-name Programm] [-fg Farbe] [-bg Farbe] [-bt Farbe] [-mark Farbe] [-3d] [-2d] [-3dtop Farbe] [-3dbot Farbe] [-mb Tastennummer] [-keyboard Zahl] [-tdelay Sekunden] [-fastdeal] [-slowdeal] [-help|-h] [-frenchcards] [-french4cards] [-germancards] [-german4cards] [-color] [-mono] [-color1 Farbe] .. [-color4 Farbe] [-large] [-small] [-up] [-down] [-alt] [-seq] [-list|-l Datei] [-alist] [-nlist] [-tlist] [-log Datei] [-dolog] [-nolog] [-fmt] [-unfmt] [-game Datei] [-briefmsg] [-verbosemsg] [-trickl2r] [-notrickl2r] [-lang Sprache] [-start Spielernummer] [-s1 Zahl] [-s2 Zahl] [-s3 Zahl] [-ramsch] [-noramsch] [-ramschonly] [-sramsch] [-nosramsch] [-skattolast] [-skattoloser] [-kontra] [-nokontra] [-kontra18] [-bock] [-nobock] [-bockramsch] [-bockevents Zahl] [-resumebock] [-noresumebock] [-spitze] [-spitze2] [-nospitze] [-revolution] [-norevolution] [-klopfen] [-noklopfen] [-schenken] [-noschenken] [-hint] [-nohint] [-newrules] [-oldrules] [-shortcut] [-noshortcut] [-askshortcut] [-irc] [-noirc] [-irctelnet Programm] [-ircserver Name] [-ircport Zahl] [-ircchannel Name] [-ircnick Name] [-ircuser Name] [-ircrealname Name] [-ircpos Zahl] [-irclog Datei] [-irclogappend] [-irclogoverwrite] [-auto Zahl] [-opt Datei] [-pk] [Spieler@Display...]

BESCHREIBUNG
XSkat ermöglicht es, das Kartenspiel Skat entsprechend der offiziellen Skatordnung zu spielen.

Bis zu 3 Spieler können vom Computer simuliert werden.

Nach dem Start des Spiels bringt ein Maus-Klick oder ESC/F1 ein Menü zur Anzeige. Andere nützliche Tasten sind: Leertaste, Eingabe, Tabulator, Cursor links/rechts/hoch/runter. Der Rest der Spielkontrollen sollte offensichtlich genug sein.

Eine Einführung in das Skatspiel gibt es unter
http://www.xskat.de

OPTIONEN
In den folgenden Beschreibungen wird der Spieler, der XSkat startet, Spieler1 genannt.

-display Displayname
-geometry Geometrie-Spezifikation
-font Zeichensatz (Voreinstellung: 9x15 oder 10x20)
-iconic
-title Fenstertitel
-name Programm-Resourcename
-fg Vordergrundfarbe
-bg Hintergrundfarbe
    Die üblichen Optionen des X Toolkit.

-bt Farbe
    Die Farbe der Tastenflächen.

-mark Farbe
    Die Farbe der Markierungen, die anzeigen,
    wer Vorhand ist (beim Reizen),
    wer Alleinspieler ist,
    welche Karte der Computer vorschlägt,
    oder wo der Tastatur-Fokus ist
    (Voreinstellung: Rot oder Schwarz).

-3d Darstellung in 3D (Voreinstellung).

-2d Verwende die alte, flache Darstellung (Voreinstellung für monochrome Bildschirme).

-3dtop Farbe
    Die Farbe, die für die linken und oberen Ränder der 3D-Tasten verwendet wird. (Voreinstellung: Weiß).

-3dbot Farbe
    Die Farbe, die für die rechten und unteren Ränder der 3D-Tasten verwendet wird. (Voreinstellung: Schwarz).

-mb Tastennummer
    Die Nummer der Maus-Taste, die das Menü öffnet (Voreinstellung: 0 = jede).

-keyboard Zahl
    Definiere, wieviel von der Benutzeroberfläche mit der Tastatur gesteuert werden kann. Die Zahl bedeutet:
     0 : Nichts.
     1 : Mehr (Voreinstellung).
     2 : Alles.

-tdelay Sekunden
    Legt fest, wie lange der letzte Stich sichtbar bleibt. Eine Verzögerung von mehr als 10 Sekunden bedeutet, daß der Stich erst nach einem Maus-Klick entfernt wird. Im Mehrspieler-Modus wird der größte angegebene Wert verwendet (Voreinstellung: 0.7).

-fastdeal
    Gib die Karten ohne zeitraubende Animationen aus.

-slowdeal
    Gib die Karten langsam aus (Voreinstellung).

-help
    Kurze Auflistung aller Optionen.

-frenchcards
    Spiele mit Französischem Blatt.

-french4cards
    Färbe zur leichteren Unterscheidbarkeit Karo orange und Pik grün (Voreinstellung).

-germancards
    Verwende ein Deutsches Blatt.

-german4cards
    Färbe zur leichteren Unterscheidbarkeit Eicheln braun.

-color
    Benutze farbige Karten. Wenn nicht genug Farben verfügbar sind, wird die Farbanzahl entsprechend reduziert (Voreinstellung).

-mono
    Benutze schwarz-weiße Karten.

-color1 .. -color4
    Wähle die Farben für Karo, Herz, Pik und Kreuz. Die Angabe -french4cards gewinnt bei Karo und Pik.

-large und -small
    Wähle die Größe des Hauptfensters (Voreinstellung: so groß wie möglich).

-down
    Sortiere Karten abwärts (Voreinstellung).

-up Sortiere Karten aufwärts.

-alt
    Sortiere Karten in alternierender Reihenfolge.

-seq
    Sortiere Karten in sequentieller Reihenfolge (Voreinstellung).

-list Dateiname
    Die Datei zur Speicherung der Spielliste (Voreinstellung: $HOME/.xskat.lst oder ./xskat.lst, falls HOME nicht gesetzt ist. Für IRC-Spiele: .irc statt .lst).

-alist
    Alternative Form der Listenführung.

-nlist
    Normale Form der Listenführung (Voreinstellung).

-tlist
    Liste mit Turnierzählung.

-log Datei
    Schalte automatische Protokollierung ein, d.h. Protokolle aller Spiele werden an die Datei (- bedeutet Standard-Ausgabe) angehängt.

-dolog
    Schalte automatische Protokollierung ein. (Voreingestellte Datei: $HOME/.xskat.log oder ./xskat.log).

-nolog
    Schalte automatische Protokollierung aus (Voreinstellung). Protokolle einzelner Spiele können trotzdem noch gespeichert werden.

-fmt
    Erzeuge formatierte Protokoll-Dateien, d.h. mit Unterstreichungen und Fettschrift.

-unfmt
    Erzeuge unformatierte Protokoll-Dateien (Voreinstellung).

-game Datei
    Lies vordefinierte Spiele aus der Datei (- bedeutet Standard-Eingabe). In IRC-Spielen nicht verfügbar. Siehe auch den Abschnitt DATEIEN weiter unten.

-briefmsg
    Zeige durch eine kleine rote Markierung auf den Karten an, wer Vorhand ist (beim Reizen) und wer der Alleinspieler ist.

-verbosemsg
    Gib zusätzlich aus, wer wo sitzt und was gespielt wird (Voreinstellung).

-trickl2r
    Lege die Karten eines Stichs von links nach rechts hin (Voreinstellung).

-notrickl2r
    Lege die Karten entsprechend der Spielerpositionen.

-lang Sprache
    Momentan verfügbar: Deutsch und Englisch (Voreinstellung: $LANG/$LANGUAGE wird zuerst geprüft. Dann: siehe Imakefile/Makefile).

-start Spielernummer
    Der Spieler, der zuerst gibt (Voreinstellung: 2).

-s1 Zahl
-s2 Zahl
-s3 Zahl
    Ändere die Spielstärke der Computer-Spieler.
    s1 ist der linke Computer im Einzelspieler-Modus oder der einzige Computer im 2-Spieler-Modus.
    s2 ist der rechte Computer im Einzelspieler-Modus.
    s3 ist nur mit -auto sinnvoll.
    Die Zahl muß zwischen -4 (schwach) und 0 (Voreinstellung) liegen.

-ramsch
    Spiele einen Ramsch wenn alle Spieler einpassen.
    Die folgenden Regeln sind momentan implementiert:
    Der Skat bleibt verdeckt liegen, bis er an den Gewinner des letzten Stichs geht (oder an den Verlierer des Spiels, s.u.). Der Verlust wird durch die Anzahl der eingefahrenen Kartenpunkte bestimmt. Wenn zwei Spieler hierbei Gleichstand haben, verlieren beide. Wenn alle gleichauf liegen, wird das Spiel mit 0 bewertet. Wenn ein Spieler ohne Stiche bleibt (Jungfrau), verdoppelt sich der Verlust des Verlierers. Falls aber jemand alle Stiche macht (Durchmarsch), gewinnt er 120 Punkte.

-noramsch
    Spiele keinen Ramsch (Voreinstellung).

-ramschonly
    Spiele jedes Spiel Ramsch.

-sramsch
    Spiele Schieberamsch anstatt einfachen Ramsch.
    Die Regeln sind:
    Jeder Spieler, beginnend mit Vorhand, darf den Skat aufnehmen und 2 Karten verdeckt weitergeben. Es ist nicht erlaubt, Buben zu schieben. Der Spielwert wird verdoppelt für jedes Mal, das ein Spieler den Skat nicht aufnimmt.

-nosramsch
    Spiele keinen Schieberamsch (Voreinstellung).

-skattoloser
    Am Ende des Ramschspiels geht der Skat an den(die) Verlierer, wodurch sich der Verlust erhöht.

-skattolast
    Der Skat geht an den Gewinner des letzten Stichs (Voreinstellung).

-kontra
    Erlaube den Gegnern 'Kontra' zu sagen, was den Wert des Spiels verdoppelt. Der Alleinspieler kann mit 'Re' antwortet, was eine weitere Verdoppelung bewirkt.

-nokontra
    Verbiete Kontra (Voreinstellung).

-kontra18
    Nur ein Gegner der wenigstens 18 gesagt hat, darf 'Kontra' sagen.

-bock
    Spiele eine Bock-Runde nach einem besonderen Ereignis. Der Spielwert der folgenden 3 Spiele wird verdoppelt. Wenn innerhalb einer Bock-Runde ein weiteres Bock-Ereignis eintritt oder mehrere Bock-Ereignisse gleichzeitig geschehen, wird die entsprechende Zahl Bock-Runden zusätzlich gespielt.

-nobock
    Spiele keine Bock-Runden (Voreinstellung).

-bockramsch
    Spiele eine Runde Ramsch nach jeder Bock-Runde. Bevor ein Ramsch beginnt, darf jeder Spieler, beginnend mit Vorhand, erklären, ob er lieber Grand Hand spielen will. Nach einem Grand Hand gibt derselbe Spieler nochmal, weil dieses Spiel nicht zu den 3 Spielen der Ramsch-Runde zählt.

-bockevents Zahl
    Spezifiziere die Bock-Ereignisse.
    (1) Ein Spiel wird mit 60 Augen verloren.
    (2) Ein gewonnener Grand Hand.
    (4) Ein erfolgreicher Kontra (Gegner gewinnen).
    (8) Ein Spiel mit Kontra & Re.
    (16) Ein Spielstand endet in 3 gleichen Ziffern.
    (32) Ein Spielstand ist ein Vielfaches von 100.
    (64) Ein mit 72 oder mehr gewonnenes Spiel.
    (128) Ein mit 96 oder mehr gewonnenes Spiel.
    Addiere die Zahlen in Klammern um die gewünschten Ereignisse festzulegen (Voreinstellung: 0).
    Anmerkungen:
    Ein Kontra, in dem der Alleinspieler Re sagte und verlor, zählt als ein Ereignis nicht als zwei (Ereignisse 4 und 8).
    Die Bewertung eines Spielstandes wird entsprechend der eingestellten Zählweise von Spieler1 durchgeführt (Ereignisse 16 und 32). Ein Spielstand, der ein Vielfaches von 1000 ist, zählt als ein Ereignis.
    Als Spielwert (Ereignis 64 und 128) gilt der normale Wert ohne irgendwelche Verdoppelungen wegen Ramsch, Kontra oder Bock.

-resumebock
    Setze nicht beendete Bock-Runden beim nächsten Spielstart von XSkat fort. Die Zahl der noch ausstehenden Spiele wird aus der Spiellisten-Datei gelesen.

-noresumebock
    Setze Bock-Runden nicht fort (Voreinstellung).

-spitze
    Erlaube dem Alleinspieler Spitze anzusagen. Das bedeutet, daß er den letzte Stich mit dem niedrigsten Trumpf machen muß, um das Spiel zu gewinnen. Diese Absicht wird erklärt, indem der niedrigste Trumpf den anderen Spielern offen gezeigt wird. Der Multiplikator für das Spiel erhöht sich dafür um 1. In einem Grand mit 4 Buben kann Spitze nicht angesagt werden.

-spitze2
    Spitze erhöht den Multiplikator um 2.

-nospitze
    Die Ansage von Spitze ist nicht möglich (Voreinstellung).

-revolution
    Ermögliche eine besondere Variante von Null Ouvert. Nachdem der Alleinspieler die Karten aufgedeckt hat, dürfen die Gegner einander in die Karten schauen und diese beliebig austauschen bevor das Spiel beginnt. Revolution zählt 92 Punkte.

-norevolution
    Verbiete Revolution (Voreinstellung).

-klopfen
    Während einer Ramsch-Runde kann man am Anfang des Spiels klopfen, um anzuzeigen, daß man nicht verlieren wird. Dies verdoppelt den Spielwert. Klopfen ist nicht möglich, wenn man den Skat in einem Schieberamsch nicht aufnimmt.

-noklopfen
    Klopfen nicht erlauben (Voreinstellung).

-schenken
    Falls die Gegner am Anfang des Spiels meinen, daß sie nicht gewinnen werden, können sie aufgeben. Dies geschieht durch Auswahl von Schenken aus dem Hauptmenü während des ersten Stiches, statt eine Karte zu spielen. Wenn der Alleinspieler dies akzeptiert, gilt das Spiel als einfach gewonnen. Sollte er aber darauf bestehen, weiter zu spielen, muß er die Gegner dann Schneider machen. Dies wird daher wie ein angesagter Schneider bewertet (Multiplikator um 2 erhöht). Die Gegner können dem Alleinspieler auch den Schneider schenken. Dies kann er wieder ablehnen und sagt damit Schwarz an.

-noschenken
    Schenken nicht erlauben (Voreinstellung).

-hint
    Markiere die Karte, die der Computer spielen würde.

-nohint
    Zeige keine Computer-Vorschläge (Voreinstellung).

-newrules
    Neue offizielle Regeln vom 1.1.1999:
    Verlorene Handspiele zählen doppelt.
    Der Multiplikator für Grand Ouvert ist 24.
    (Voreinstellung)

-oldrules
    Verlorene Handspiele zählen einfach.
    Der Multiplikator für Grand Ouvert ist 36.

-shortcut
    Beende das Spiel, wenn die restlichen Stiche alle an eine Partei gehen.

-noshortcut
    Spiele jeden Stich.

-askshortcut
    Frage, ob die Abkürzung genommen werden soll (Voreinstellung).

-irc
    Spiele via Internet Relay Chat. Diese Option stellt eine Verbindung zu einem IRC-Server her, wo man mit anderen Leuten eine Runde Skat spielen kann.
    Und das geht so:
    Starte XSkat in einem xterm. Warte, bis der Server die Begrüßungsmeldung anzeigt. Nun ist man auf dem Kanal #xskat, wo neue Spiele geplant werden sollen. Alles was in das xterm getippt wird, wird als Nachricht an alle auf diesem Kanal geschickt. Wenn sich zwei oder drei Spieler gefunden haben und sich auf den Namen für einen neuen Kanal (z.B. #xskat123) geeinigt haben, sollten alle den Kanal mit /join #xskat123 wechseln. Wenn dann alle auf dem neuen Kanal angekommen sind, muß genau ein Spieler /go (oder /go2 falls nur 2 Spieler da sind) eintippen, um das Spiel zu starten. Nun kann man spielen und reden.

-noirc
    Benutze kein IRC (Voreinstellung).

-irctelnet Programm
    Legt das Programm fest, das die Verbindung zum IRC-Server aufbaut. Falls man hinter einem Firewall sitzt, ist evtl. ein Programm wie rtelnet erforderlich und $SOCKS_SERVER muß auf den Namen des Firewalls gesetzt werden (Voreinstellung: telnet).

-ircserver Name
    Wähle einen IRC-Server in der Nähe! (Voreinstellung: $IRCSERVER oder irc.fu-berlin.de, falls nicht im Imakefile/Makefile geändert)

-ircport Zahl
    Der Port des IRC-Servers (Voreinstellung: $IRCPORT oder 6667).

-ircchannel Name
    Der anfänglich aufzusuchende Kanal (Voreinstellung: #xskat).

-ircnick Name
    Der eigene IRC-Name. Falls dieser bereits vergeben ist, wird automatisch ein anderer erzeugt. Einige Server erlauben Namen mit 30 Zeichen, andere haben eine Begrenzung auf 9. (Voreinstellung: $IRCNICK oder $IRCUSER oder $LOGNAME oder xskatNNNN).

-ircuser Name
    Der Benutzer/Login-Name. Anmerkung: Viele Server mögen keine gefälschten Namen. (Voreinstellung: $IRCUSER oder $LOGNAME).

-ircrealname Name
    Der eigene Name (Voreinstellung: $IRCNAME oder der Eintrag aus der Datei passwd oder 'XSkat player').

-ircpos Zahl
    Festlegung der Position relativ zu den anderen Spielern. Positionen werden im Uhrzeigersinn mit 1, 2 und 3 bezeichnet. Der Spieler 2 beginnt mit Geben, falls mit -start oder /start nichts anderes spezifiziert wird. Wenn man seine Position nicht angibt, eine Position doppelt vergeben ist, oder eine ungültige Zahl (3 bei nur 2 Spielern) wählt, wird dies automatisch korrigiert. Die Auswahl der richtigen Position ist wichtig, falls ein gespeichertes Spiel fortgesetzt werden soll. (Voreinstellung: 0 = egal).

-irclog Datei
    Alle Daten vom/zum IRC-Server werden in diese Datei geschrieben (- bedeutet Standard-Ausgabe). Dies kann zur Fehlersuche hilfreich sein (Voreinstellung: $HOME/.xskat.ilg oder ./xskat.ilg).

-irclogappend
    Hänge Ausgaben an die Protokolldatei an.

-irclogoverwrite
    Überschreibe eine existierende Datei (Voreinstellung).

IRC-Befehle:
    /nick Name, /nick - ändere IRC-Namen oder zeige ihn an.
    /who - wer ist auf dem aktuellen Kanal ?
    /list, /list Text - zeige alle Kanäle an, die das Wort xskat bzw. den Text enthalten. Dies kann auf Netzwerken mit vielen Kanälen einige Zeit dauern. Der Versuch die Ausgabe zu stoppen, beendet das Programm.
    /pos Zahl - siehe -ircpos.
    /bell - Umschalten des akustischen Signals. Wenn eingeschaltet, wird jedesmal ein Ton erzeugt, wenn jemand auf dem Kanal hinzukommt oder eine Nachricht verschickt. Das Signal ist anfänglich aus.
    /quit - beende XSkat.
    /sync - falls Nachrichten aufgrund von Netzwerk-Problemen verloren gehen (oder weil jemand den Kanal im Spiel wechselte), sollte XSkat dies erkennen und in den meisten Fällen die Synchronisation automatisch (innerhalb von 30 Sekunden) nach dem Wiederherstellen der Verbindung ausführen. Die Eingabe von /sync versucht dies sofort.
    /quote command args - für die IRC-Experten.
    Die folgenden Befehle sind nur sinnvoll für den Spieler, der mittels /go das Spiel startet, weil dieser die Regeln des Spiels festlegt.
    /default - Spiele nach offiziellen Regeln.
    /ramsch, /sramsch, /skattoloser, /kontra, /bock, /resumebock, /spitze, /revolution, /klopfen, /schenken, /oldrules, /bockevents, /alist, /tlist, /start, /s1 - ändere die Regeln des Spiels. Alle diese Befehle erfordern noch eine Zahl oder True/False, genau wie die X11-Resource mit demselben Namen.
    /rules - zeige allen Mitspielern die aktuellen Regeln an.

Anmerkungen:
    Die Versionsnummern aller teilnehmenden Programme muß gleich sein.
    Die meisten Optionen können während des Spiels nicht verändert werden. Optionen, die geändert werden können, werden nicht in einer Datei gesichert.
    Die Spielliste kann nur beim Reizen gelöscht werden, oder wenn man eine Karte auszuspielen hat. Es gibt eine alternative Spielliste für IRC-Spiele (siehe -list).
    Es ist möglich, ins xterm zu tippen oder in das Spiel-Fenster (was empfohlen wird), aber mitten im Satz zu wechseln, wird nicht funktionieren.
    Eine bessere Eingabemöglichkeit und einen geteilten Bildschirm bietet das Programm ssfe. Es wird wie folgt verwendet: ssfe -raw xskat -irc
    Man kann -irc weglassen, wenn noch andere IRC-Optionen verwendet werden.

-auto Zahl
    Drei Computer spielen die angegebene Anzahl von Spielen gegeneinander. Die Resultate werden ausgegeben.
    Bei diese Option werden keine X11-Resourcen gelesen und die Spielliste wird nur gespeichert, wenn -list verwendet wird.

-opt Datei
    Diese Datei enthält alle interaktiv änderbaren Optionen für alle Spieler (Voreinstellung: $HOME/.xskat.opt oder ./xskat.opt). Kommandozeilen-Optionen haben Vorrang vor Optionen aus dieser Datei, welche aber wiederum Resource-Angaben überlagern. Dies kann mit der Resource useoptfile verändert werden.

-pk Wenn der Computer immer ein Gutes Blatt geben soll. (auf besonderen Wunsch von Petra K.) Alternativ ergibt dreimaliges Drücken von F6 ein Gutes Blatt im jeweils nächsten Spiel. Funktioniert nicht im Mehrspieler-Modus.

Spieler@Display
    Spezifiziert das Display für den zweiten und dritten Spieler (wird aber bei IRC-Spielen ignoriert). Der Spieler@ Teil kann weggelassen werden, wenn die Resource alias auf dem Display gesetzt ist.

RESOURCEN

Kommandozeilen-Optionen haben Vorrang vor Resource-Spezifikationen für Spieler1.

geometry, font, title, foreground, background
    Die üblichen X11-Resourcen.

mark
    (siehe -mark).

button
    (wird für 2D-Tasten verwendet, siehe -bt).

3dbutton
    (wird für 3D-Tasten verwendet, siehe -bt, Voreinstellung: ein Grauton).

3dbackground
    (wird in 3D-Darstellung verwendet, siehe -bg, Voreinstellung: ein anderes Grau).

3d  True oder False (siehe -3d und -2d).

3dtop
    (siehe -3dtop).

3dbot
    (siehe -3dbot).

menubutton
    (siehe -mb).

keyboard
    (siehe -keyboard).

tdelay
    (siehe -tdelay).

fastdeal
    True oder False (siehe -fastdeal und -slowdeal).(#)

cards
    0, 1, 2 oder 3 (siehe -frenchcards, -french4cards, -germancards und -german4cards).

color
    True oder False (siehe -color und -mono).

color1 .. color4
    (siehe -color1 .. -color4).

large
    True oder False (siehe -large und -small).

down
    True oder False (siehe -down und -up).

alt True oder False (siehe -alt und -seq).

list
    (siehe -list).(#)

alist
    True oder False (siehe -alist und -nlist).

tlist
    True oder False (siehe -tlist und -nlist).

log (siehe -log).(#)

dolog
    True oder False (siehe -dolog und -nolog).(#)

formatted
    True oder False (siehe -fmt und -unfmt).(#)

game
    (siehe -game).(#)

briefmsg
    True oder False (siehe -briefmsg und -verbosemsg).

trickl2r
    True oder False (siehe -trickl2r und -notrickl2r).

language
    (siehe -lang).

start
    (siehe -start).(#)

s1, s2
    (siehe -s1, -s2).(#)

ramsch
    0, 1 oder 2 (siehe -noramsch, -ramsch und -ramschonly).(#)

sramsch
    True oder False (siehe -sramsch und -nosramsch).(#)

skattoloser
    True oder False (siehe -skattoloser und -skattolast).(#)

kontra
    0, 1 oder 2 (siehe -nokontra, -kontra und -kontra18).(#)

bock
    0, 1 oder 2 (siehe -nobock, -bock und -bockramsch).(#)

bockevents
    (siehe -bockevents).(#)

resumebock
    True oder False (siehe -resumebock und -noresumebock).(#)

spitze
    0, 1 oder 2 (siehe -nospitze, -spitze und -spitze2).(#)

revolution
    True oder False (siehe -revolution und -norevolution).(#)

klopfen
    True oder False (siehe -klopfen und -noklopfen).(#)

schenken
    True oder False (siehe -schenken und -noschenken).(#)

hint
    True oder False (siehe -hint und -nohint).

oldrules
    True oder False (siehe -oldrules und -newrules).(#)

shortcut
    0, 1 oder 2 (siehe -noshortcut, -askshortcut und -shortcut).

irc True oder False (siehe -irc und -noirc).(#)

irctelnet
    (siehe -irctelnet).(#)

ircserver
    (siehe -ircserver).(#)

ircport
    (siehe -ircport).(#)

ircchannel
    (siehe -ircchannel).(#)

ircnick
    (siehe -ircnick).(#)

ircuser
    (siehe -ircuser).(#)

ircrealname
    (siehe -ircrealname).(#)

ircpos
    (siehe -ircpos).(#)

irclist
    (siehe -list).(#)

irclog
    (siehe -irclog).(#)

irclogappend
    True oder False (siehe -irclogappend und -irclogoverwrite).(#)

opt (siehe -opt).(#)

useoptfile
    True oder False (Voreinstellung: False). Dies ist eine Resource für den Mehrspieler-Modus (aber nicht für IRC). Sie wird ignoriert für Spieler1. Wenn auf True, wird der Inhalt der Optionsdatei von Spieler1 benutzt. Das bedeutete, daß man evtl. an die Einstellungen von sonstwem gerät, wenn Spieler1 diese Datei in einem anderem Spiel verwendet hat.

alias
    Der Name des Spielers (max. 2 Worte mit je 9 Zeichen, Voreinstellung: $LOGNAME).

Nur Spieler1 kann die mit (#) markierten Resourcen setzen.

Dateinamen, die mit ~/ beginnen, werden richtig behandelt, falls HOME gesetzt ist.

DATEIEN
Ein Beispiel für eine Datei mit vordefinierten Spielen:

# Der folgende Block gibt die Kartenverteilung
# für Spieler1, 2, 3 und den Skat(0) an.
# A 10  K  D  B  9  8  7
  2  2  2  2  2  0  3  3  # Karo
  2  2  2  2  2  3  3  3  # Herz
  1  1  1  1  1  3  3  3  # Pik
  1  1  1  1  1  0  3  3  # Kreuz
# Das folgende ist nicht das gleiche Spiel !
# Spieler-Nummern rotieren 3 -> 2 -> 1 -> 3
# (und hängen von der start-Option ab).
  2  2  2  2  2  0  3  3
  2  2  2  2  2  3  3  3
  1  1  1  1  1  3  3  3
  1  1  1  1  1  0  3  3
repeat
# Wiederhole obige Spiele.
# Die folgenden Zeilen wirken nur,
# wenn das 'repeat' entfernt wird.
random_seed 123456 0 2
# Spezifiziert die Zufallszahl, welche die
# Kartenverteilung für alle folgenden Spiele vorgibt.
# Die zweite Zahl läßt einen entsprechend viele
# Spiele in der Abfolge überspringen.
# Die dritte (optionale) Zahl definiert,
# wer mit dem Geben beginnt (siehe -start).
# Ein zusätzliches L oder R hinter dieser Zahl
# rotiert die Karten links oder rechts herum.
# random_seed wird in Spiel-Protokollen angezeigt,
# um ein einfaches Wiederholen zu ermöglichen:
# echo random_seed 123456 0 2 | xskat -game -

ANMERKUNGEN
Es gibt keine offiziellen Regeln für die Varianten Ramsch, Kontra, Bock, Spitze, Revolution, Klopfen und Schenken.

Falls der Aufruf xskat player@otherhost:0 auf yourhost eine Fehlermeldung gibt, kann man versuchen, mit dem Befehl xhost yourhost auf otherhost den Zugriff für yourhost auf das Display von otherhost zu erlauben.

Wenn man ein Spiel mit den eigenen Karten wiederholt, macht es keinen Unterschied, ob 'Vorhand wechselt' auf 'Ja' oder 'Nein' steht.

Einige Versionen von telnet haben einen Fehler, der verhindert, daß Eingaben von einer Pipe richtig gelesen werden. Siehe README.IRC-de für eine Korrektur oder schreibe in ~/.telnetrc:

irc.fu-berlin.de
 set echo off
 set escape off
 set rlogin off
 set flushoutput off
 set interrupt off
 set quit off
 set eof off
 set erase off
 set kill off
 set lnext off
 set susp off
 set reprint off
 set worderase off
 set start off
 set stop off
 set forw1 off
 set forw2 off
 set ayt off

Die führenden Leerzeichen sind wichtig! Die IRC-Server-Zeile ist entsprechend anzupassen.

AUTOR
Gunter Gerhardt

Die aktuelle Version liegt immer unter
http://www.xskat.de

Dieses Programm ist freie Software; es kann frei verbreitet werden.
Verwendung auf eigenes Risiko; es gibt KEINE GARANTIE.

Die Weitergabe veränderter Versionen ist erlaubt,
solange die folgenden Bedingungen eingehalten werden:
1. Alle Angaben zu Copyright & Bedingungen bleiben erhalten.
2.a) Nur Änderungen zwecks Paketierung oder Portierung werden gemacht.
  oder
2.b) Es wird deutlich gekennzeichnet, wer das Programm geändert hat.
     Das Programm wird umbenannt oder
     die Versionsnummer hat die Form x.y.z,
     wobei x.y die Version des originalen Programms ist
     und z ein beliebiger Zusatz.

Verwendung der Kartenbilder mit Genehmigung der
Spielkartenfabrik Altenburg GmbH, Marke ASS Altenburger
Leipziger Straße 7, 04600 Altenburg